@font-face {
    font-family: 'Head';
    src: url('head.otf') format('opentype'); /* Pfad zur Schriftart */
}
@font-face {
    font-family: 'Paragraph';
    src: url('paragraph.ttf') format('truetype'); /* Pfad zur Schriftart */
}


body {
    font-family: Arial, sans-serif;
    background-color: white;
    color: black;
    margin: 0;
    padding: 0;
    height: 100vh; /* Höhe des Viewports */
    display: flex; /* Flexbox aktivieren */
    justify-content: center; /* Horizontale Zentrierung */
    align-items: center; /* Vertikale Zentrierung */
}
.text {
    max-width:400px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.text button {
    max-width: 300px;
}
.container {
    max-width: 800px; /* Maximale Breite für Desktop */
    margin: 0 auto; /* Zentriert die Container */
    padding: 40px;
    text-align: left; /* Text linksbündig */
}

h1, h2 {
    text-align: center; /* Mittelausrichtung für h1 und h2 */
    font-family: "Head";
}

h1 {
    margin-top: 20px;
    font-size: 48px;
    margin-bottom:10px;
}

h2 {
    text-align: center; /* Mittelausrichtung für h2 */
    font-family: 'Reload Alt Stencil', sans-serif; /* Schriftart für h2 */
    white-space: nowrap; /* Verhindert Zeilenumbruch */
    font-size: 24px; /* Schriftgröße anpassen, falls nötig */
    margin-top: 10px;
}

p, ol {
    font-family: "Paragraph";
    margin: 10px 0; /* Abstand zwischen den Absätzen */
    width:100%;
}
ol {
    margin: 10px 0; /* Abstand zwischen der Liste und anderen Elementen */
    padding: 0; /* Kein Einzug */
    list-style-position: inside; /* Listensymbole innerhalb der Box */
}

li {
    margin: 0.5rem 0 0 0;
}

/* Fußzeile */
footer {
    margin-top: 20px; /* Abstand zur Container */
    text-align: center; /* Zentrierte Ausrichtung */
}

.footer {
    color: lightgray;
    padding: 10px; /* Innenabstand */
    cursor: pointer; /* Zeiger-Cursor */
    border-radius: 5px; /* Abgerundete Ecken */
}

/* Impressum */
.impressum {
    display: none; /* Standardmäßig unsichtbar */
    margin-top: 10px; /* Abstand zum vorherigen Element */
    background-color: #f8f9fa; /* Hintergrundfarbe des Impressums */
    padding: 10px; /* Innenabstand */
    border: 1px solid #ccc; /* Rahmen */
    border-radius: 5px; /* Abgerundete Ecken */
}

/* Sichtbare Klasse für das Impressum */
.impressum.visible {
    display: block; /* Sichtbar, wenn die Klasse 'visible' hinzugefügt wird */
}

/* Responsive Design */
@media (max-width: 600px) {
    .container {
        padding: 10px; /* Weniger Padding auf mobilen Geräten */
    }
    h2 {
        font-size: 20px; /* Kleinere Schriftgröße auf mobilen Geräten */
    }
    h1 {
        font-size: 35px;
    }
}
